GET /phone-numbers/{id}/whatsapp/calling

Calling configuration

GET
/phone-numbers/{id}/whatsapp/calling

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Bought number id (GET /whatsapp/numbers) or the WhatsApp account id

Query Parameters

accountId?string

WhatsApp account id

Response Body

WhatsAppCallingConfig

application/json
  1. response
phoneNumber?string|null
callingEnabled?boolean
callDeepLink?string|null
forwardTo?|

tel:+E164 / sip:user@host / wss://host

recordingEnabled?boolean
sipAuthUsername?string|null
sipAuthPasswordConfigured?boolean
callIconCountries?array<any>|null
outboundDisabled?boolean
callerIdMode?string
Value in"business""platform"
callerIdVerified?boolean
maxCallDurationSeconds?integer|null
forwardCallerId?string
Value in"business""caller"
Example Request
curl -X GET 'https://example.com/api/v1/phone-numbers/string/whatsapp/calling'
Example Response
{  "phoneNumber": "string",  "callingEnabled": true,  "callDeepLink": "string",  "forwardTo": "string",  "recordingEnabled": true,  "sipAuthUsername": "string",  "sipAuthPasswordConfigured": true,  "callIconCountries": [],  "outboundDisabled": true,  "callerIdMode": "business",  "callerIdVerified": true,  "maxCallDurationSeconds": 0,  "forwardCallerId": "business"}